## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           docparser
Version:        1.0.16
Release:        %autorelease
Summary:        A document parser library ported from document2html

# The entire source code is GPLv2+ except
# src/utils/getoptpp.* which are Boost,
# src/utils/json.hpp,
# src/utils/miniz.c,
# src/utils/pugiconfig.hpp,
# src/utils/pugixml.cpp and
# src/utils/pugixml.hpp
# which are MIT,
# /src/utils/lodepng.* which are zlib
# Automatically converted from old format: GPLv3+ and Boost and MIT and zlib - review is highly recommended.
License:        GPL-3.0-or-later AND BSL-1.0 AND LicenseRef-Callaway-MIT AND Zlib
URL:            https://github.com/linuxdeepin/docparser
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  pkgconfig(poppler-cpp)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(tinyxml2)

%description
This file content analysis library is provided for the full-text search function
of document management.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Header files and libraries for %{name}.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE.txt
%doc README.md
%{_libdir}/lib%{name}.so.1*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
## START: Generated by rpmautospec
* Tue Feb 11 2025 topazus <topazus@outlook.com> - 1.0.16-1
- 1.0.16

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 12 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.0.11-4
- rebuild for tinyxml2

* Wed Aug 28 2024 Miroslav Suchý <msuchy@redhat.com> - 1.0.11-3
- convert license to SPDX

* Thu Aug 22 2024 Marek Kasik <mkasik@redhat.com> - 1.0.11-2
- Rebuild for poppler 24.08.0

* Sun Aug 11 2024 topazus <topazus@outlook.com> - 1.0.11-1
- update to 1.0.11; add packit config file

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 09 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.0.1-1
- Initial import (RHBZ#2059820)
## END: Generated by rpmautospec
